Update draft
curl --request PATCH \
--url https://postonce.to/api/public/v1/drafts/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"expected_updated_at": "2023-11-07T05:31:56Z",
"content": "<string>",
"candidate_angle": "<string>",
"media": [
{
"url": "<string>",
"file_name": "<string>",
"mime_type": "<string>",
"width": 1,
"height": 1,
"size": 1,
"duration": 1,
"thumbnail_url": "<string>"
}
],
"selected_account_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"suggested_platforms": [
"<string>"
]
}
'import requests
url = "https://postonce.to/api/public/v1/drafts/{id}"
payload = {
"expected_updated_at": "2023-11-07T05:31:56Z",
"content": "<string>",
"candidate_angle": "<string>",
"media": [
{
"url": "<string>",
"file_name": "<string>",
"mime_type": "<string>",
"width": 1,
"height": 1,
"size": 1,
"duration": 1,
"thumbnail_url": "<string>"
}
],
"selected_account_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"suggested_platforms": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
expected_updated_at: '2023-11-07T05:31:56Z',
content: '<string>',
candidate_angle: '<string>',
media: [
{
url: '<string>',
file_name: '<string>',
mime_type: '<string>',
width: 1,
height: 1,
size: 1,
duration: 1,
thumbnail_url: '<string>'
}
],
selected_account_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
suggested_platforms: ['<string>']
})
};
fetch('https://postonce.to/api/public/v1/drafts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"content": "<string>",
"candidate_angle": "<string>",
"media": [
{
"url": "<string>",
"type": "image",
"file_name": "<string>",
"mime_type": "<string>",
"width": 1,
"height": 1,
"size": 1,
"duration": 1,
"thumbnail_url": "<string>"
}
]
}
}{
"error": {
"code": "workflow_limit_reached",
"message": "You have reached the maximum number of workflows for your plan.",
"hint": "<string>"
}
}Drafts
Update draft
Updates, archives, restores, or marks a draft ready using updated_at as a compare-and-swap version.
PATCH
https://postonce.to/api/public
/
v1
/
drafts
/
{id}
Update draft
Authorizations
Scoped API key issued in PostOnce Settings. OAuth authorization grants are not currently supported.
Path Parameters
Draft ID.
Body
application/json
Response
Draft updated successfully.
Show child attributes
Show child attributes
